package cn.fateverse.query.mapper;

import cn.fateverse.query.entity.TableRelationalMapping;

import java.util.List;

/**
 * @author Clay
 * @date 2023-07-17
 */
public interface TableRelationalMappingMapper {

    /**
     * 批量新增表格的映射关系
     *
     * @param list 表格映射关系
     * @return 插入行数
     */
    Integer batchInsert(List<TableRelationalMapping> list);

    /**
     * 根据表格id查询关联关系
     *
     * @param mainId 表格id
     * @return 关联列表
     */
    List<TableRelationalMapping> selectByMainId(Long mainId);

    /**
     * 获取到表格对应的关系
     * @param mainIds
     * @return
     */
    List<TableRelationalMapping> selectByMainIds(List<Long> mainIds);

    /**
     * 根据表格id删除关联关系
     *
     * @param tableId 表格id
     * @return 删除条数
     */
    Integer deleteByMainId(Long tableId);
}
